当前位置:主页 > 聊天通讯 > 飞鸽传书 > 在Linux系统下使用飞鸽传书的一些常见问题

在Linux系统下使用飞鸽传书的一些常见问题

作者:断线的风筝  来源:未知  发布时间:2013-04-16 19:21   浏览次数:

一、 glibc版本缺失

libv.so.6:version `GLIBC_2.9' NOT Found

libc.so.6: version `GLIBC_2.10' not found

原因:这是由于系统中Libc库版本过低造成的。Qipmsg依赖于GNU C Library 2.12.1

解决办法:升级Libc库(需要小心小心再小心)或直接安装更高版本的Linux

二、libpng12.so.0:no version information available

原因:1. libpng12.so版本太低,升级libpng*库

     2. glibc库版本太低,导致libpng库不能正常工作。

解决方法:安装或更新libpng库,更新GLibC。

ubuntu:  sudo apt-get install libpng*

fedora:   yum install libpng*

三、 ./QIpmsg: error while loading shared libraries: libjpeg.so.62: cannot open shared object file: No such file or directory

原因:找不到依赖库文件libjpeg.so.62。一般是由于系统内没有安装libjpeg库或版本不附

解决方法:1. 安装libjpeg.so.62 或者

         2. 进入/usr/lib/目录中查看有没有libjpeg.so.*, 创建一个名为libjpeg.so.62的软连接指向该文件。

cd /usr/lib/

ls libjpeg.so.*  (得到类似于 libjpeg.so.xxx)

ln -s libjpeg.so.xxx libjpeg.so.62

四、 QIpmsg 运行依赖的Linux环境为:

GNU C Library 2.12.1

Linux 2.6.35


友荐云推荐